summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRalph Giles <giles@xiph.org>2000-11-04 07:28:34 +0000
committerRalph Giles <giles@xiph.org>2000-11-04 07:28:34 +0000
commit7a038ab4dd24cf57da6afd25b5f4fd0d05e27560 (patch)
tree560f8bc96d6ea04ca2f5e8258c36f403ff80be19 /autogen.sh
parentc3adb22334df083ccf82080ff7d120f21e48303e (diff)
downloadogg-7a038ab4dd24cf57da6afd25b5f4fd0d05e27560.tar.gz
forgot to propagate autogen.sh updates
git-svn-id: http://svn.xiph.org/trunk/ogg@975 0101bb08-14d6-0310-b084-bc0e0c8e3800
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh32
1 files changed, 23 insertions, 9 deletions
diff --git a/autogen.sh b/autogen.sh
index 5b2c05d..20a18d4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,8 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-# (basically ripped directly from enlightenment's autogen.sh)
+# Run this to set up the build system: configure, makefiles, etc.
+# (based on the version in enlightenment's cvs)
+
+package="libogg"
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
@@ -10,7 +12,7 @@ DIE=0
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have autoconf installed to compile libogg."
+ echo "You must have autoconf installed to compile $package."
echo "Download the appropriate package for your distribution,"
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
@@ -18,12 +20,22 @@ DIE=0
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have automake installed to compile libogg."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
- echo "(or a newer version if it is available)"
+ echo "You must have automake installed to compile $package."
+ echo "Download the appropriate package for your system,
+ echo "or get the source from one of the GNU ftp sites"
+ echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
}
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $package."
+ echo "Download the appropriate package for your system,
+ echo "or get the source from one of the GNU ftp sites"
+ echo "listed in http://www.gnu.org/order/ftp.html"
+ DIE=1
+}
+
if test "$DIE" -eq 1; then
exit 1
fi
@@ -33,12 +45,14 @@ if test -z "$*"; then
echo "to pass any to it, please specify them on the $0 command line."
fi
-echo "Generating configuration files for libogg, please wait...."
+echo "Generating configuration files for $package, please wait...."
echo " aclocal $ACLOCAL_FLAGS"
aclocal $ACLOCAL_FLAGS
-echo " autoheader"
-autoheader
+#echo " autoheader"
+#autoheader
+echo " libtoolize --automake"
+libtoolize --automake
echo " automake --add-missing"
automake --add-missing
echo " autoconf"